#------------------------------------------------------------------------------
#           Name: lincolnkitty.py
#         Author: Mike Edwards based on pyg_star_wars.py by Kevin Harris
#  Last Modified: 2007-02-07
#    Description: This Python/Pygame script demonstrates how to create a simple
#                 Space Invaders clone.
#------------------------------------------------------------------------------

#import the modules you need to start.  These should do for simple stuff

import random
import os, pygame
from pygame.locals import *

#it's sometimes helpful to set up a few constants for values that get used everywhere

SCREEN_WIDTH  = 800
SCREEN_HEIGHT = 600

#this is the core of the game, where everything gets set up and processed.  It starts off with
# the set up of the game, which you can use as is for anything you do.

def main():

    # this is your set up.  You can use this as is, just be sure the change the title ;)
    random.seed()
    pygame.init()
    screen = pygame.display.set_mode( (SCREEN_WIDTH, SCREEN_HEIGHT) )
    pygame.display.set_caption( "Basic Framework" )

    # Initialize some control variables
    running = True

    # the clock!  This keeps the game running at the pace you set.
    clock = pygame.time.Clock()

    # the "main loop"!  This is where all the action happens.  The "while" statement here tells
    # the game to keep running until something sets the "running" variable to be False.
    while running is True:
        # this tells the clock to make the game run at 60 frames per second, and no faster
        clock.tick( 60 )
	running = False

#this calls the 'main' function when this script is executed.  It just gets us started.  You can use this as is.
if __name__ == '__main__': 
    main()
    pygame.quit()
